// DAE Exporter mluti.js
//
// scriptType: macro
// 

function main( doc ) {
  
  // 保存ダイアログを表示して、保存ファイルパスを取得
  var filename = OS.runSavePanel("dae");
  
  if (filename == null) return;
  
  // 現在のテイクを取得
  var currentTake = doc.currentTake();
  
  // テイクカウントの取得
  var takeCount = doc.takeCount();
  for (var i = 0;i < takeCount;i++) {
    // Take オブジェクトの取得
    var take = doc.takeAtIndex( i );
    // Take 情報をコンソールに表示（整形用に別ファイルに書き出しても良いかもしれません）
    print( "\"" + take.name + "\"" + ": { length: " + take.length.toFixed(3) + ", previewFrom: " + take.previewFrom.toFixed(3) + ", previewTo: " + take.previewTo.toFixed(3) + " }" );
    // Take:name プロパティを使用して、カレントテイクをセット
    doc.setCurrentTake( take.name );
    // 書き出しファイルパスに、Take:name を追加
    var daeFilename = filename.replace(/\.dae$/, "_" + take.name + ".dae");
    // dae ファイルの書き出し
    doc.saveToFile( daeFilename, "dae" );
  }
  
  // 取得していたテイクをセットし、状態を戻す
  doc.setCurrentTake( currentTake.name );

}